#include <iostream>
#include <math.h>
using namespace std;
int d[2];

int find(long long v)
{
	int i=0;
	while(v/10>=1)
	{
		v/=10;
		i++;
	}
	return i;
}

int check(long long v, long long i, long long k, long long n)
{
	while(v!=0)
	{
		if(v-d[i]*pow(10,k)>=0)
		{
			n++;
			v-=d[i]*pow(10,k); 
		}
		else
		{
			if(i>0)
			{
				i--;
			}
			else 
			{
				i=2;
				k--;
			} 
		}
	}
	return n;
}

int main()
{
	long long v,k;
	cin >> v;
	d[0]=1;
	d[1]=2;
	d[2]=5;
	k=find(v);
	cout<<check(v, 2, k, 0);	
}